%define upstream_name    CGI-Safe
%define upstream_version 1.25

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:	Safe method of using CGI.pm
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/CGI/%{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires:  perl(CGI)
BuildArch:	noarch


%description
The CGI-Safe module makes running the CGI environment safer
by eliminating dangerous %ENV variables and presetting
certain CGI.pm globals.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%make_install

%files
%doc Changes README META.yml
%{perl_vendorlib}/CGI
%{_mandir}/*/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.250.0-9.mga8
+ Revision: 1493495
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.250.0-8.mga7
+ Revision: 1266052
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 1.250.0-7.mga6
+ Revision: 1023819
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 1.250.0-6.mga6
+ Revision: 938045
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.250.0-5.mga5
+ Revision: 747659
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.250.0-4.mga5
+ Revision: 683655
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.250.0-3.mga4
+ Revision: 509471
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.250.0-2.mga3
+ Revision: 363549
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 1.250.0-1.mga1
+ Revision: 25878
- mageia rebuild
- imported package perl-CGI-Safe


* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 1.250.0-1mdv2010.0
+ Revision: 406869
- rebuild using %%perl_convert_version

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 1.25-5mdv2009.0
+ Revision: 255820
- rebuild

* Sat Dec 22 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.25-3mdv2008.1
+ Revision: 136921
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Sat Oct 28 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.25-2mdv2007.0
+ Revision: 73405
- import perl-CGI-Safe-1.25-2mdk

* Fri Apr 28 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.25-2mdk
- Fix SPEC Using perl Policies
	- BuildRequires
	- Source URL

* Fri Oct 07 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.25-1mdk
- new version
- %%{1}mdv2007.1
- spec cleanup
- rpmbuildupdate aware
- fix directory ownership
- better summary

* Thu Jul 14 2005 Oden Eriksson <oeriksson@mandriva.com> 1.24-1mdk
- initial Mandriva package

